package com.kmall.admin.dto;

/**
 * @author hhq
 * @version 1.0.0
 * 2020-5-18
 */

import com.kmall.common.utils.R;

import java.math.BigDecimal;

/**
 * 商品详情
 */
public class GoodsDetailsDto {
    //商品序列号
    private String goodsSn;
    //商品条形号
    private String prodBarcode;
    //名称
    private String name;
    //品牌
    private String brand;
    //商品描述
    private String goodsDesc;
    //商品单位
    private String goodsUnit;
    //商品零售价
    private BigDecimal retailPrice;
    //商品税率
    private String goodsRate;
    //商品税费 -系统计算
    private String goodstaxes;
    //商品规格
    private String specification;
    //商品主图
    private String primaryPicUrl;

    public String getGoodsSn() {
        return goodsSn;
    }

    public void setGoodsSn(String goodsSn) {
        this.goodsSn = goodsSn;
    }

    public String getProdBarcode() {
        return prodBarcode;
    }

    public void setProdBarcode(String prodBarcode) {
        this.prodBarcode = prodBarcode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getGoodsDesc() {
        return goodsDesc;
    }

    public void setGoodsDesc(String goodsDesc) {
        this.goodsDesc = goodsDesc;
    }

    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }

    public String getGoodsRate() {
        return goodsRate;
    }

    public void setGoodsRate(String goodsRate) {
        this.goodsRate = goodsRate;
    }

    public String getGoodstaxes() {
        return goodstaxes;
    }

    public void setGoodstaxes(String goodstaxes) {
        this.goodstaxes = goodstaxes;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getPrimaryPicUrl() {
        return primaryPicUrl;
    }

    public void setPrimaryPicUrl(String primaryPicUrl) {
        this.primaryPicUrl = primaryPicUrl;
    }

    public BigDecimal getRetailPrice() {
        return retailPrice;
    }

    public void setRetailPrice(BigDecimal retailPrice) {
        this.retailPrice = retailPrice;
    }
}
